<?php

add_action( 'admin_menu', 'ultimate_blogger_gettingstarted' );
function ultimate_blogger_gettingstarted() {    	
	add_theme_page( esc_html__('About Theme', 'ultimate-blogger'), esc_html__('About Theme', 'ultimate-blogger'), 'edit_theme_options', 'ultimate-blogger-guide-page', 'ultimate_blogger_guide');   
}

function ultimate_blogger_admin_theme_style() {
   wp_enqueue_style('ultimate-blogger-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/dashboard/get_started_info.css');
}
add_action('admin_enqueue_scripts', 'ultimate_blogger_admin_theme_style');

function ultimate_blogger_notice(){
    global $pagenow;
    if ( is_admin() && ('themes.php' == $pagenow) && isset( $_GET['activated'] ) ) {?>
    <div class="notice notice-success is-dismissible getting_started">
		<div class="notice-content">
			<h2><?php esc_html_e( 'Thanks for installing Ultimate Blogger Lite, you rock!', 'ultimate-blogger' ) ?> </h2>
			<p><?php esc_html_e( 'Take benefit of a variety of features, functionalities, elements, and an exclusive set of customization options to build your own professional automobile website. Please Click on the link below to know the theme setup information.', 'ultimate-blogger' ) ?></p>
			<p><a href="<?php echo esc_url( admin_url( 'themes.php?page=ultimate-blogger-guide-page' ) ); ?>" class="button button-primary"><?php esc_html_e( 'Getting Started', 'ultimate-blogger' ); ?></a></p>
		</div>
	</div>
	<?php }
}
add_action('admin_notices', 'ultimate_blogger_notice');

/**
 * Theme Info Page
 */
function ultimate_blogger_guide() {

	// Theme info
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( 'ultimate-blogger' ); ?>

	<div class="wrap getting-started">
		<div class="getting-started__header">
			<div class="row">
				<div class="col-md-5 intro">
					<div class="pad-box">
						<h2><?php esc_html_e( 'Welcome to Ultimate Blogger', 'ultimate-blogger' ); ?></h2>
						<p>Version: <?php echo esc_html($theme['Version']);?></p>
						<span class="intro__version"><?php esc_html_e( 'Congratulations! You are about to use the most easy to use and flexible WordPress theme.', 'ultimate-blogger' ); ?>	
						</span>
						<div class="powered-by">
							<p><strong><?php esc_html_e( 'Theme created by Buy WP Templates', 'ultimate-blogger' ); ?></strong></p>
							<p>
								<img class="logo" src="<?php echo esc_url(get_theme_file_uri() . '/inc/dashboard/media/theme-logo.png'); ?>"/>
							</p>
						</div>
					</div>
				</div>
				<div class="col-md-7">
					<div class="pro-links">
				    	<a href="<?php echo esc_url( ULTIMATE_BLOGGER_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'ultimate-blogger'); ?></a>
						<a href="<?php echo esc_url( ULTIMATE_BLOGGER_BUY_PRO ); ?>"><?php esc_html_e('Buy Pro', 'ultimate-blogger'); ?></a>
						<a href="<?php echo esc_url( ULTIMATE_BLOGGER_PRO_DOC ); ?>" target="_blank"><?php esc_html_e('Pro Documentation', 'ultimate-blogger'); ?></a>
					</div>
					<div class="install-plugins">
						<img src="<?php echo esc_url(get_theme_file_uri() . '/inc/dashboard/media/responsive1.png'); ?>" alt="" />
					</div>
				</div>
			</div>
			<h2 class="tg-docs-section intruction-title" id="section-4"><?php esc_html_e( '1). Setup Ultimate Blogger Theme', 'ultimate-blogger' ); ?></h2>
			<div class="row">
				<div class="theme-instruction-block col-md-7">
					<div class="pad-box">
	                    <p><?php esc_html_e( 'Ultimate Blogger is a beautiful and minimal blog theme designed specifically for bloggers to make blogs for photography, food, fashion, lifestyle, magazines, youtube bloggers, journals, personal blogs, writers, minimal theme, travel, herbal blog, masonry blog, music blog, personal blog, vlog photography and portfolios, personal blogs, travel, political, tech, viral, blogging, business blog, columnist, journalist, videographers, gaming blog, recepie blog, newspaperman, paragrapher, reporter, sportswriter, marketing, news, sports, technology, education as well as modern newspaper websites. It is a powerful blog theme with plenty of features, user-friendly customization and personalization options. It includes features such as quick page speed, mobile friendly design, cross browser compatibility, SEO friendly, Grid Layout, translation ready, custom colors etc. It shows a large slider with a banner that has a Call to Action Button (CTA) to attract the visitors. It is compatible with WooCommerce and features layouts for products, posts and pages. It has secure and clean codes that do not allow you to write even a single line of code. It offers a bunch of shortcodes that helps in incorporating functional features. This minimal blog theme is based on Bootstrap framework which enhances the speed of development. Also, it has an interactive demo for easy understanding.', 'ultimate-blogger' ); ?><p><br>
						<ol>
							<li><?php esc_html_e( 'Start','ultimate-blogger'); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e( 'Customizing','ultimate-blogger'); ?></a> <?php esc_html_e( 'your website.','ultimate-blogger'); ?> </li>
						</ol>
                    </div>
              	</div>
				<div class="col-md-5">
					<div class="pad-box">
              			<img class="logo" src="<?php echo esc_url(get_theme_file_uri() . '/inc/dashboard/media/screenshot.png'); ?>"/>
              		 </div> 
              	</div>
            </div>
			<div class="col-md-12 text-block">
				<h2 class="dashboard-install-title"><?php esc_html_e( '2.) Premium Theme Information.','ultimate-blogger'); ?></h2>
				<div class="row">
					<div class="col-md-7">
						<img src="<?php echo esc_url(get_theme_file_uri() . '/inc/dashboard/media/responsive.png'); ?>" alt="">
						<div class="pad-box">
							<h3><?php esc_html_e( 'Pro Theme Description','ultimate-blogger'); ?></h3>
                    		<p class="pad-box-p"><?php esc_html_e( '
								Your love for blogging can be elegantly expressed to the world with a sophisticated and user friendly website. And that is easily possible now with the help of Ultimate Blog WordPress Theme which is a Blog template for WordPress that helps to make a website of your dream. It is simple and do not require any professional to edit and customize according to you. You can completely do it end to end with wide variety of options and easy customization widgets. Our Ultimate Blog WordPress Theme is one of the Most Popular WordPress Blog Theme that is used by a number of blogging professionals.', 'ultimate-blogger' ); ?><p>
                    	</div>
					</div>
					<div class="col-md-5 install-plugin-right">
						<div class="pad-box">							
							<h3><?php esc_html_e( 'Pro Theme Features','ultimate-blogger'); ?></h3>
							<div class="dashboard-install-benefit">
								<ul>
									<li><?php esc_html_e( 'Car listing Shortcode with category','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Car listing Shortcode','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Multiple image feature for each property with slider.','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Brand Listing Section','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Car Brand(categories) Option','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Car Tags(categories) Option','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Testimonial listing.','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Testimonial shortcode.','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Social icons widget.','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Latest post with the image widget.','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Live customize editor for the About US section.','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Font Awesome integrated.','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Advanced Color options and color pallets.','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( '100+ Font Family Options.','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Enable-Disable options on All sections.','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Well sanitized as per WordPress standards.','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Allow to set site title, tagline, logo.','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Sticky post & Comment threads.','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Left and Right Sidebar.','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Customizable Home Page.','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Footer Widgets & Editor style','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Gallery & Banner functionality','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Multiple inner page templates','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Full-width Template','ultimate-blogger'); ?></li>
									<li><?php esc_html_e( 'Custom Menu, Colors Editor','ultimate-blogger'); ?></li>
								</ul>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="dashboard__blocks">
			<div class="row">
				<div class="col-md-3">
					<h3><?php esc_html_e( 'Get Support','ultimate-blogger'); ?></h3>
					<ol>
						<li><a target="_blank" href="<?php echo esc_url( ULTIMATE_BLOGGER_FREE_SUPPORT ); ?>"><?php esc_html_e( 'Free Theme Support','ultimate-blogger'); ?></a></li>
						<li><a target="_blank" href="<?php echo esc_url( ULTIMATE_BLOGGER_PRO_SUPPORT ); ?>"><?php esc_html_e( 'Premium Theme Support','ultimate-blogger'); ?></a></li>
					</ol>
				</div>
				<div class="col-md-3">
					<h3><?php esc_html_e( 'Getting Started','ultimate-blogger'); ?></h3>
					<ol>
						<li><?php esc_html_e( 'Start','ultimate-blogger'); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e( 'Customizing','ultimate-blogger'); ?></a> <?php esc_html_e( 'your website.','ultimate-blogger'); ?> </li>
					</ol>
				</div>
				<div class="col-md-3">
					<h3><?php esc_html_e( 'Help Docs','ultimate-blogger'); ?></h3>
					<ol>
						<li><a target="_blank" href="<?php echo esc_url( ULTIMATE_BLOGGER_PRO_DOC ); ?>"><?php esc_html_e( 'Premium Theme Documentation','ultimate-blogger'); ?></a></li>
					</ol>
				</div>
				<div class="col-md-3">
					<h3><?php esc_html_e( 'Buy Premium','ultimate-blogger'); ?></h3>
					<ol>
						<a href="<?php echo esc_url( ULTIMATE_BLOGGER_BUY_PRO ); ?>"><?php esc_html_e('Buy Pro', 'ultimate-blogger'); ?></a>
					</ol>
				</div>
			</div>
		</div>
	</div>

<?php }?>